<?php
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');
die();
if($cfg_empr=='hfre')
{
     echo '<br>'.date('H:i:s');
     $idnumdic=9024;
     
//      $sql_updt='update inve1 set fecha ="20200101" where idate<"20211202160000"';
     $sql_updt='update inve1 set fecha ="20200101" where idnum1<='.$idnumdic;
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);
     
     $sql_inve='select * from inve1 where fecha="20200101" and idnum1<='.$idnumdic.' order by idnum1';
     $res_inve=msql_query($sql_inve,$link_vcrx);
     while($aso_inve=msql_fetch_assoc($res_inve))
     {
          echo '<br>';
          $docu=$aso_inve['docu'];
          $idnum=$aso_inve['idnum1'];
          $fecha=$aso_inve['fecha'];
          $fhtml='../_docbak/'.$docu.'_'.fillzero($idnum).'.html';
          $xfecha='';
//           FECHA:</td><td>JUE - 12/nov/20</td>
          if(file_exists($fhtml))
          {
               $html=file_get_contents($fhtml);
               $xfecha=$html;
               $xfecha=substr($xfecha,strpos($xfecha,'FECHA:</td'));
               $xfecha=substr($xfecha,0,50);
               $xfecha=substr($xfecha,strpos($xfecha,'<td>')+4);
               $xfecha=substr($xfecha,0,50);
               $xfecha=substr($xfecha,strpos($xfecha,'-')+1);
               $xfecha=substr($xfecha,0,10);
               $xfecha=trim($xfecha);
               
               $xanio='20'.substr($xfecha,-2);
               $xmes=substr($xfecha,3,3);
               $xdia=substr($xfecha,0,2);
               $xmes=strtolower($xmes);
               
               $xmes=str_replace('ene','01',$xmes);
               $xmes=str_replace('feb','02',$xmes);
               $xmes=str_replace('mar','03',$xmes);
               $xmes=str_replace('abr','04',$xmes);
               $xmes=str_replace('may','05',$xmes);
               $xmes=str_replace('jun','06',$xmes);
               $xmes=str_replace('jul','07',$xmes);
               $xmes=str_replace('ago','08',$xmes);
               $xmes=str_replace('sep','09',$xmes);
               $xmes=str_replace('oct','10',$xmes);
               $xmes=str_replace('nov','11',$xmes);
               $xmes=str_replace('dic','12',$xmes);
               
               $xmes=str_replace('jan','01',$xmes);
               $xmes=str_replace('feb','02',$xmes);
               $xmes=str_replace('mar','03',$xmes);
               $xmes=str_replace('apr','04',$xmes);
               $xmes=str_replace('may','05',$xmes);
               $xmes=str_replace('jun','06',$xmes);
               $xmes=str_replace('jul','07',$xmes);
               $xmes=str_replace('aug','08',$xmes);
               $xmes=str_replace('sep','09',$xmes);
               $xmes=str_replace('oct','10',$xmes);
               $xmes=str_replace('nov','11',$xmes);
               $xmes=str_replace('dec','12',$xmes);
               
               $xfecha2=$xanio.$xmes.$xdia;

               
               $sql_updt ='update inve1 set fecha ="'.$xfecha2.'" ';
               $sql_updt.='where fecha="20200101" ';
               $sql_updt.='and idnum1='.$idnum.' ';
               $res_updt=msql_query($sql_updt,$link_vcrx);
               echo '<br>==>'.$sql_updt;
//                echo '<br>'.msql_error($link_vcrx);
          }
          else
          {
               if($docu!="IB13")
               {echo '<br>***';}
          }
          
          echo '<br>'.$docu.'-'.$idnum.' - '.$fhtml. ' - '.$xfecha. ' - '.$xfecha2.' ==> ';
          echo '<a href="'.$fhtml.'" target="_blank">'.$docu.$idnum.'</a>';
     }

// die();     
     
     $sql_inve='select * from inve1 where docu="IB13" and idnum1<='.$idnumdic.' order by idnum1';
     $res_inve=msql_query($sql_inve,$link_vcrx);
     while($aso_inve=msql_fetch_assoc($res_inve))
     {
          echo '<br>';
          $docu=$aso_inve['docu'];
          $idnum=$aso_inve['idnum1'];
          $fecha=$aso_inve['fecha'];
          $idfrom=$aso_inve['idfrom'];
          
          $sql_from='select * from inve1 where idnum1='.$idfrom;
          $res_from=msql_query($sql_from,$link_vcrx);
          
          $xfecha2=msql_result($res_from,0,'fecha');
          
          $sql_updt ='update inve1 set fecha ="'.$xfecha2.'" ';
          $sql_updt.='where fecha="20200101" ';
          $sql_updt.='and idnum1='.$idnum.' ';
          $res_updt=msql_query($sql_updt,$link_vcrx);
          echo '<br>==>'.$sql_updt;
          echo '<br>'.$docu.'-'.$idnum.' - '.$fhtml. ' - '.$xfecha. ' - '.$xfecha2.' ==> ';
          echo '<a href="'.$fhtml.'" target="_blank">'.$docu.$idnum.'</a>';
     }
     
    
     $sql_updt ='update inve1,inve2 set fecha =udate ';
     $sql_updt.='where fecha!="20200101" ';
     $sql_updt.='and idnum1<='.$idnumdic.' ';
     $sql_updt.='and abs(punibak-puni)!=0 ';
     $sql_updt.='and idnum1=idnum2';
//      $res_updt=msql_query($sql_updt,$link_vcrx);
//      echo '<br>'.$sql_updt;
//      echo '<br>'.msql_error($link_vcrx);
     
     $sql_updt ='update inve1 set fecha ="20201031" ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1<='.$idnumdic.' ';
     $sql_updt.='and docu="IB00"';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);
     
     $sql_updt ='update inve1 set fecha =idate ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1<='.$idnumdic.' ';
     $sql_updt.='and idate is not null ';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);
     
     $sql_updt ='update inve1 set fecha ="20201204" ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1=446';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);
     
     $sql_updt ='update inve1 set fecha ="202110331" ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1=8416';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);
     
     $sql_updt ='update inve1 set fecha ="202110701" ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1=8670';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);

     $sql_updt ='update inve1 set fecha ="20211028" ';
     $sql_updt.='where fecha="20200101" ';
     $sql_updt.='and idnum1=8319';
     $res_updt=msql_query($sql_updt,$link_vcrx);
     echo '<br>'.$sql_updt;
     echo '<br>'.msql_error($link_vcrx);

     
     
}
return;


?>